Bug 1339280 - [rfe] Case insensitive match hint
Summary: [rfe] Case insensitive match hint
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 14:34 UTC by Ed Avis
Modified: 2017-07-25 16:55 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-25 16:55:43 UTC


Attachments (Terms of Use)

Description Ed Avis 2016-05-24 14:34:16 UTC
'dnf install imagemagick' reports 'No package imagemagick available', but there is a package called 'ImageMagick'.  That behaviour in itself shouldn't change, since package names are case sensitive and ignoring that would open a whole can of worms.  However, I suggest there is scope for showing a hint to the user:

    Did you mean 'ImageMagick'?

This would be in the particular case when the package name is not matched but a case-insensitive match is found.

Comment 1 Jaroslav Mracek 2016-05-30 11:34:54 UTC
So far we want to focus on more important issues than this RFE. In any case, the `dnf search` command is CASE insensitive, therefore the user that cannot find a package can find Package by `dnf search package'. Anyway this behavior can be only as optional, due to requirement of other user, that only really wanted packages will be installed (exact definition). There is also another solution, ask package maintainers of ImageMagick to add, that the package ImageMagick provides imagemagick. It also solve the problem.

Comment 2 Fedora Admin XMLRPC Client 2016-07-08 09:25:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jaroslav Mracek 2017-06-19 11:56:26 UTC
I created a pull-request that should provide requested feature: https://github.com/rpm-software-management/dnf/pull/846

Comment 4 Fedora Update System 2017-07-24 14:51:20 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 5 Fedora Update System 2017-07-25 04:26:53 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 6 Fedora Update System 2017-07-25 16:55:43 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.